Subject: Re: [PATCH 0/2] atl1: Introduce CONFIG_ATL1_EXPERIMENTAL

From: Chris Snook <[email-masked]>
Date: Fri, 07 Sep 2007 20:06:42 -0400

Jeff Garzik wrote:
> Chris Snook wrote:
>> The atl1 driver is currently marked EXPERIMENTAL, because a few 
>> supposedly performance-enhancing features still have problems.  When 
>> these features are disabled, the driver is completely stable, fully 
>> functional, and performs well.
>>
>> Patch 1/2 Creates the kconfig option CONFIG_ATL1_EXPERIMENTAL, and 
>> removes the EXPERIMENTAL designation from CONFIG_ATL1
>>
>> Patch 2/2 Wraps some currently-disabled features in #ifdef 
>> CONFIG_ATL1_EXPERIMENTAL, so developers and testers can play with 
>> these features more easily, and distributions will still get a fast, 
>> stable driver with existing .config files.
>>
>> We'll also be using this to wrap around various new features we'll be 
>> experimenting with in coming months.  Instead of using a half dozen 
>> different kconfig options for each of them, like some drivers do, 
>> we'll just use this, and make sure things are safe for everyone before 
>> we take them out of the experimental wrapper.
> 
> Well, I haven't received patch #2 yet, but in general a runtime switch 
> (module option?) is greatly preferred.
> 
>     Jeff

Okay, I'll think about how we want to parameterize this.  I don't want users 
expecting development options to be around forever.  I'll resubmit something 
once I have more of these experimental features ready to submit.

	-- Chris